| Home | Libraries | People | FAQ | More

#### advance_c

##### Description

Moves an iterator by a specified distance.

##### Synopsis

    template<
        typename I,
        int N
        >
    typename result_of::advance_c<I, N>::type advance_c(I const& i);

Table 1.7. Parameters

Parameter | Requirement | Description
--- | --- | ---
`i` | Model of Forward Iterator | Iterator to move relative to
`N` | Integer constant | Number of positions to move

##### Expression Semantics

    advance_c<N>(i);

Return type: A model of the same iterator concept as `i`.

Semantics: Returns an iterator to the element `N` positions from `i`. If `i` is a Bidirectional Iterator then `N` may be negative.

##### Header

    #include <boost/fusion/iterator/advance.hpp>
    #include <boost/fusion/include/advance.hpp>

##### Example

    typedef vector<int,int,int> vec;

    vec v(1,2,3);
    assert(deref(advance_c<2>(begin(v))) == 3);